/*
 * /////////////////////////////////////////////////////////////////////////////////
 * //
 * // Copyright <2015>-<2016> Avaya Inc. All Rights Reserved.
 * //
 * // Usage of this source is bound to the terms described
 * // in assets/Licence.txt
 * //
 * // Avaya - Confidential & Proprietary. Use pursuant to your signed agreement
 * // or Avaya Policy
 * //
 * /////////////////////////////////////////////////////////////////////////////
 */

package com.avaya.odonnell3.AndroidChatTemplate_2_3.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.JsonNode;

public class NewChatRequest {
    @JsonProperty("method")
    private String method = "requestChat";
    @JsonProperty("intrinsics")
    private Intrinsics intrinsics;
    @JsonProperty("DeviceType")
    private String deviceType;
    @JsonProperty("routePointIdentifier")
    private String routePointIdentifier;
    @JsonProperty("workFlowType")
    private String workFlowType;
    @JsonProperty("requestTranscript")
    private Boolean requestTranscript;
    @JsonProperty("workRequestId")
    private String workRequestId;
    @JsonProperty("priority")
    private int priority;
    @JsonProperty("customData")
    private JsonNode customData;

    public NewChatRequest() {

    }

    public int getPriority() {
        return priority;
    }

    public void setPriority(int priority) {
        this.priority = priority;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }


    public Intrinsics getIntrinsics() {
        return intrinsics;
    }

    public void setIntrinsics(Intrinsics intrinsics) {
        this.intrinsics = intrinsics;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getRoutePointIdentifier() {
        return routePointIdentifier;
    }

    public void setRoutePointIdentifier(String routePointIdentifier) {
        this.routePointIdentifier = routePointIdentifier;
    }

    public String getWorkFlowType() {
        return workFlowType;
    }

    public void setWorkFlowType(String workFlowType) {
        this.workFlowType = workFlowType;
    }

    public Boolean getRequestTranscript() {
        return requestTranscript;
    }

    public void setRequestTranscript(Boolean requestTranscript) {
        this.requestTranscript = requestTranscript;
    }

    public String getWorkRequestId() {
        return workRequestId;
    }

    public void setWorkRequestId(String workRequestId) {
        this.workRequestId = workRequestId;
    }

    public JsonNode getCustomData() {
        return customData;
    }

    public void setCustomData(JsonNode customData) {
        this.customData = customData;
    }

    public NewChatRequest(String method, Intrinsics intrinsics, String deviceType, String routePointIdentifier, String workFlowType, Boolean requestTranscript, String workRequestId, int priority, JsonNode customData) {
        this.method = method;
        this.intrinsics = intrinsics;
        this.deviceType = deviceType;
        this.routePointIdentifier = routePointIdentifier;
        this.workFlowType = workFlowType;
        this.requestTranscript = requestTranscript;
        this.workRequestId = workRequestId;
        this.priority = priority;
        this.customData = customData;
    }
}
